using skyscraper5.src.Id3.Frames;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper5.src.Id3
{
	internal class Id3Tag
	{
		public Id3Tag(Version version)
		{
			Version = version;
			this.Frames = new List<Id3Frame>();
		}

		public Version Version { get; }
		public List<Id3Frame> Frames { get; }
		public bool Unsynchronisation { get; internal set; }
		public bool ExperimentalIndicator { get; internal set; }

		internal bool IsAllPrivate()
		{
			foreach (var frame in Frames)
			{
				if (!(frame is PrivateFrame))
					return false;
			}
			return true;
		}
	}
}
